Trigger an action
Requires an API key with the environment:actions:execute scope. Learn more about API key scopes.
Triggers an action for a connection
bearerAuthAuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
Connection-Id*stringThe connection ID used to create the connection.
Provider-Config-Key*stringThe integration ID used to create the connection (aka Unique Key).
X-Async?booleanSet to true to trigger the action asynchronously. When true, the response will include a status URL and ID for retrieving the action result later. See Asynchronous action documentation for more details.
X-Max-Retries?integerThe maximum number of retries in case of failure (between 0 and 5). Only applicable when X-Async is true. Default to 0 if not specified.
0 <= value <= 50application/json- body
action_name*stringThe name of the action to trigger.
input?The necessary input for your action's 'exec' function.
The result of the action.
application/json- response
The result of the action when triggered synchronously. (cannot exceed 10MB)
your-properties?The data returned by the action
curl -X POST 'https://api.tenklo.dev/action/trigger' \ -H 'Connection-Id: string' \ -H 'Provider-Config-Key: string' \ -H 'Content-Type: application/json' \ -d '{ "action_name": "string"}'{ "your-properties": {}}